=== debian/changelog ===
consensuscore (1.0.2-2build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:25:19 +0000

consensuscore (1.0.2-2build1) artful; urgency=medium

  * Rebuild to add support for python 3.6.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 12 May 2017 16:25:16 +0530

consensuscore (1.0.2-2) unstable; urgency=low

  * Fix build with GCC-6 (Closes: #831172)

 -- Afif Elghraoui <afif@debian.org>  Sun, 17 Jul 2016 00:00:34 -0700

consensuscore (1.0.2-1) unstable; urgency=medium

  * Add binary package for C++ headers and static library
    (Closes: #828837)
  * Rename source package and change section
  * Imported Upstream version 1.0.2 (git28dbb19 - 2016-05-06)
  * Bump Standards-Version to 3.9.8
  * Remove invalid architecture entries
  * Clean up d/rules and d/control
  * Update email address and copyright year
  * Make Python package descriptions consistent

 -- Afif Elghraoui <afif@debian.org>  Sun, 03 Jul 2016 03:12:49 -0700

python-pbconsensuscore (1.0.1-1) unstable; urgency=low

  * Run build-time tests
  * Limit package to x86 architectures
  * Build for all supported python versions
  * Imported Upstream version 1.0.1

 -- Afif Elghraoui <afif@ghraoui.name>  Tue, 24 Nov 2015 22:45:58 -0800

python-pbconsensuscore (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #794450)
  * Build Python3 package

 -- Afif Elghraoui <afif@ghraoui.name>  Thu, 03 Sep 2015 00:12:46 -0700
