=== debian/control ===
Source: consensuscore
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>= 9),
	dh-python,
	dh-exec,
	libboost-dev,
	swig,
# Python2
	python-setuptools,
	python-all-dev,
	python-numpy,
# Python3
	python3-setuptools,
	python3-all-dev,
	python3-numpy,
Standards-Version: 3.9.8
Homepage: https://github.com/PacificBiosciences/ConsensusCore
Vcs-Git: https://anonscm.debian.org/git/debian-med/consensuscore.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/consensuscore.git

Package: libconsensuscore-dev
Section: libdevel
Architecture: any-amd64 any-i386
Depends:
	${shlibs:Depends},
	${misc:Depends},
Description: algorithms for PacBio multiple sequence consensus -- development files
 ConsensusCore is a library of C++ algorithms for Pacific Biosciences
 multiple sequence consensus that powers Quiver (Python) and ConsensusTools
 (.NET). This library primarily exists as the backend for GenomicConsensus,
 which implements Quiver.
 .
 This package is part of the SMRT Analysis suite.
 It provides the header files and static library.

Package: python-pbconsensuscore
Section: python
Architecture: any-amd64 any-i386
Depends:
	${shlibs:Depends},
	${misc:Depends},
	${python:Depends},
Description: algorithms for PacBio multiple sequence consensus -- Python 2
 ConsensusCore is a library of C++ algorithms for Pacific Biosciences
 multiple sequence consensus that powers Quiver (Python) and ConsensusTools
 (.NET). This library primarily exists as the backend for GenomicConsensus,
 which implements Quiver.
 .
 This package is part of the SMRT Analysis suite.
 It provides the Python2 bindings.

Package: python3-pbconsensuscore
Section: python
Architecture: any-amd64 any-i386
Depends:
	${shlibs:Depends},
	${misc:Depends},
	${python3:Depends},
Description: algorithms for PacBio multiple sequence consensus -- Python 3
 ConsensusCore is a library of C++ algorithms for Pacific Biosciences
 multiple sequence consensus that powers Quiver (Python) and ConsensusTools
 (.NET). This library primarily exists as the backend for GenomicConsensus,
 which implements Quiver.
 .
 This package is part of the SMRT Analysis suite.
 It provides the Python3 bindings.
