=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
#include /usr/share/dpkg/default.mk

export LC_ALL=C.UTF-8
export PYBUILD_NAME=pbconsensuscore

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	$(MAKE) test
# We can't run these additional tests because they only pass
# with the python2 version of the package; by this point
# the python3 version has taken over.
#	$(MAKE) test-python

override_dh_python2:
	dh_python2
	dh_numpy

override_dh_python3:
	dh_python3
	dh_numpy3
