=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/python-pbconsensuscore-$1.tar.gz/" \
         https://github.com/PacificBiosciences/ConsensusCore/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
