## consensuscore 1.1.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 all: lib
 
 lib:
-	${MAKE} -f make/Cpp.mk
+	${MAKE} -f make/Cpp.mk -j8
 
 #
 # SWIG targets
