=== debian/changelog ===
consensuscore (1.1.1+dfsg-8build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 13:57:45 +0000
