=== debian/control ===
Source: consensuscore
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit [!i386],
               architecture-is-little-endian,
               dh-sequence-python3,
               dh-exec,
               libboost-dev,
               swig,
               python3-setuptools,
               python3-all-dev,
               python3-numpy,
               python3-numpy-dev,
               libsimde-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/consensuscore
Vcs-Git: https://salsa.debian.org/med-team/consensuscore.git
Homepage: https://github.com/PacificBiosciences/ConsensusCore
Rules-Requires-Root: no

Package: libconsensuscore-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: algorithms for PacBio multiple sequence consensus -- development files
 ConsensusCore is a library of C++ algorithms for Pacific Biosciences
 multiple sequence consensus that powers Quiver (Python) and ConsensusTools
 (.NET). This library primarily exists as the backend for GenomicConsensus,
 which implements Quiver.
 .
 This package is part of the SMRT Analysis suite.
 It provides the header files and static library.

Package: python3-pbconsensuscore
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: algorithms for PacBio multiple sequence consensus -- Python 3
 ConsensusCore is a library of C++ algorithms for Pacific Biosciences
 multiple sequence consensus that powers Quiver (Python) and ConsensusTools
 (.NET). This library primarily exists as the backend for GenomicConsensus,
 which implements Quiver.
 .
 This package is part of the SMRT Analysis suite.
 It provides the Python3 bindings.
