=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Release/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

# Repository is deprecated upstream
#opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#         https://github.com/PacificBiosciences/ConsensusCore/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
